Skip to main content

Query Group Mute All

Query whether a group is set to mute all members. The specific functions are as follows:

  • When a valid group ID is passed, query whether the specified single group or multiple groups have been set to mute all members
  • When no group ID is passed, query the list of all groups under the App Key that have been set to mute all members

Request Method​

POST: https://data center domain/group/ban/query.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must follow the signature rule. For details, see API Request Signature.

Body Parameters​

The HTTP request body can include the following HTTP form parameters:

ParameterTypeRequiredDescription
groupIdStringNoGroup ID. You can query a single or multiple groups at a time, with a maximum of 20 groups per query.
pageintNoPage number. If this parameter is passed, the groupId parameter becomes invalid. If groupId is not passed, the default is 1.
sizeintNoNumber of items per page. If this parameter is passed, the groupId parameter becomes invalid. If groupId is not passed, the default is 50, with a maximum of 200.

Request Example​

POST /group/ban/query.json HTTP/1.1
Host: api.rong-api.com
App-Key: c9kqb3rdkbb8j
NONCE: 97
TIMESTAMP: 1480479442
SIGNATURE: 9774e3d91656dc92df8aff294d46d6a506412538
Content-Type: application/x-www-form-urlencoded

Response​

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeNumberReturn code, 200 indicates success.
groupinfoString[]Muted group information data.
groupIdStringGroup ID.
statIntMute status, 0 indicates not muted, 1 indicates muted.

Response Example​

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code":200,
"groupinfo":[
{
"groupId": "groupId1",
"stat":1
},
{
"groupId": "groupId2",
"stat":1
}
]
}